- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
BlisHelp.h File Reference
`#include "AlpsEncoded.h"`
`#include "Blis.h"`
Include dependency graph for BlisHelp.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
BlisConstraint * | BlisOsiCutToConstraint (const OsiRowCut *rowCut)
| Convert a OsiRowCut to a Blis Contraint. More...
BlisReturnStatus | BlisStrongBranch (BlisModel *model, double objValue, int colInd, double x, const double *saveLower, const double *saveUpper, bool &downKeep, bool &downFinished, double &downDeg, bool &upKeep, bool &upFinished, double &upDeg)
| Strong branching on a variable colInd. More...
int | BlisEncodeWarmStart (AlpsEncoded *encoded, const CoinWarmStartBasis *ws)
| Pack coin warm start into an encoded object. More...
CoinWarmStartBasis * | BlisDecodeWarmStart (AlpsEncoded &encoded, AlpsReturnStatus *rc)
| Unpack coin warm start from an encoded object. More...
double | BlisHashingOsiRowCut (const OsiRowCut *rowCut, const BlisModel *model)
| Compute and return a hash value of an Osi row cut. More...
bool | BlisParallelCutCut (OsiRowCut *rowCut1, OsiRowCut *rowCut2, double threshold=1.0)
| Check if a row cut parallel with another row cut. More...
bool | BlisParallelCutCon (OsiRowCut *rowCut, BlisConstraint *con, double threshold=1.0)
| Check if a row cut parallel with a constraint. More...
bool | BlisParallelConCon (BlisConstraint *con1, BlisConstraint *con2, double threshold=1.0)
| Check if a row cut parallel with a constraint. More...

## Function Documentation

BlisConstraint* BlisOsiCutToConstraint | ( | const OsiRowCut * | rowCut | ) |

Convert a OsiRowCut to a Blis Contraint.

BlisReturnStatus BlisStrongBranch | ( | BlisModel * | model,
|  | double | objValue,
|  | int | colInd,
|  | double | x,
|  | const double * | saveLower,
|  | const double * | saveUpper,
|  | bool & | downKeep,
|  | bool & | downFinished,
|  | double & | downDeg,
|  | bool & | upKeep,
|  | bool & | upFinished,
|  | double & | upDeg
| ) |  |

Strong branching on a variable colInd.

int BlisEncodeWarmStart | ( | AlpsEncoded * | encoded,
|  | const CoinWarmStartBasis * | ws
| ) |  |

Pack coin warm start into an encoded object.

CoinWarmStartBasis* BlisDecodeWarmStart | ( | AlpsEncoded & | encoded,
|  | AlpsReturnStatus * | rc
| ) |  |

Unpack coin warm start from an encoded object.

double BlisHashingOsiRowCut | ( | const OsiRowCut * | rowCut,
|  | const BlisModel * | model
| ) |  |

Compute and return a hash value of an Osi row cut.

bool BlisParallelCutCut | ( | OsiRowCut * | rowCut1,
|  | OsiRowCut * | rowCut2,
|  | double | threshold = `1.0`
| ) |  |

Check if a row cut parallel with another row cut.

bool BlisParallelCutCon | ( | OsiRowCut * | rowCut,
|  | BlisConstraint * | con,
|  | double | threshold = `1.0`
| ) |  |

Check if a row cut parallel with a constraint.

bool BlisParallelConCon | ( | BlisConstraint * | con1,
|  | BlisConstraint * | con2,
|  | double | threshold = `1.0`
| ) |  |

Check if a row cut parallel with a constraint.